Summary:	XSettings Daemon for KDE Environment
Name:     	xsettings-kde
Version:	0.12.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/KDE
Source: 	%{name}-%{version}.tar.bz2
URL:		http://svnweb.mageia.org/soft/theme/xsettings-kde/

BuildRequires:	libx11-devel glib2-devel

%description
This package provides a XSettings daemon for KDE Desktop Environment.
It allows XSettings aware applications (all GTK+ 2 and GNOME 2 applications)
to be informed instantly of changes in KDE configuration, such as theme name,
default font and so on.

%files
%doc ChangeLog README
%{_bindir}/*
%{_datadir}/autostart/*

#--------------------------------------------------------------------

%prep
%setup -q

%build

make CFLAGS="%optflags" LDFLAGS="%ldflags" lib=%{_lib}

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -f xsettings-kde $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart/
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/autostart/xsettings-kde.desktop
[Desktop Entry]
Exec=xsettings-kde
Name=XSettings-KDE
X-KDE-autostart-after=kdesktop
Type=Service
OnlyShowIn=KDE;
EOF


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.12.3-2.mga3
+ Revision: 387401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Clean the spec file

* Fri Oct 07 2011 dmorgan <dmorgan> 0.12.3-1.mga2
+ Revision: 152570
- RFE: Gtk/IMModule support (RHBZ#727822)
  Patch from Fedora

* Sat May 07 2011 mikala <mikala> 0.12.2-1.mga1
+ Revision: 95726
- Update tarball to 0.12.2 :
 -add a patch for lmenut to use upstream [General]ColorScheme (mga #900)

* Sat Mar 19 2011 dmorgan <dmorgan> 0.12.1-1.mga1
+ Revision: 74526
- New upstream version 0.12.1
  Remove Encoding from desktop file
- Fix URL of the upstream project

* Mon Feb 07 2011 dmorgan <dmorgan> 0.12-1.mga1
+ Revision: 48482
- New version 0.12

* Thu Feb 03 2011 dmorgan <dmorgan> 0.11-4.mga1
+ Revision: 46543
- imported package xsettings-kde

